package com.ruoyi.models.service;

import java.util.List;
import com.ruoyi.models.domain.BizSubModule;

/**
 * 子模块Service接口
 */
public interface IBizSubModuleService
{
    public BizSubModule selectBizSubModuleBySubId(Long subId);

    public List<BizSubModule> selectBizSubModuleList(BizSubModule subModule);

    public int insertBizSubModule(BizSubModule subModule);

    public int updateBizSubModule(BizSubModule subModule);

    public int deleteBizSubModuleBySubIds(Long[] subIds);

    public int deleteBizSubModuleBySubId(Long subId);

    public List<BizSubModule> selectByModuleId(Long moduleId);

    /**
     * 用户接取子模块（仅父模块接取人有权）
     */
    public int receiveSubModule(Long subId, Long userId);

    /**
     * 用户完成子模块（仅接取人有权）
     */
    public int completeSubModule(Long subId, Long userId);
}


